Skip to main content
PATCH
Update Thread Handler

Headers

authorization
string | null

Path Parameters

thread_id
string<uuid>
required

Cookies

ks_uat
string | null

Body

application/json

Request to update a thread.

title
string | null

New thread title

Required string length: 1 - 255
parent_thread_id
string<uuid> | null

Parent thread ID. Set to a UUID to link, or null to clear.

Response

Successful Response

Thread response model.

id
string<uuid>
required

Thread ID

path_part_id
string<uuid>
required

PathPart ID

title
string
required

Thread title

materialized_path
string
required

Full materialized path from root

tenant_id
string<uuid>
required

Tenant ID

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

parent_thread_id
string<uuid> | null

Parent Thread ID (for subthreads)